package jp.ossc.petstore.model;

/**
 * カテゴリ情報モデルクラス
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class Category {

	/**
	 * カテゴリＩＤ
	 */
    private int id;

    /**
     * カテゴリ名
     */
    private String name;

    /**
     * コンストラクタ
     */
    public Category() {
    }

    /**
     * コンストラクタ
     * @param id カテゴリＩＤ
     * @param name カテゴリ名
     */
    public Category(int id, String name) {
        this.id = id;
        this.name = name;
    }

    /**
     * カテゴリＩＤ取得
     * @return カテゴリＩＤ
     */
    public int getId() {
        return this.id;
    }

    /**
     * カテゴリＩＤ設定
     * @param id カテゴリＩＤ
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * カテゴリ名取得
     * @return カテゴリ名
     */
    public String getName() {
        return this.name;
    }

    /**
     * カテゴリ名設定
     * @param name カテゴリ名
     */
    public void setName(String name) {
        this.name = name;
    }

}
